export class Length {
  value
  unit
  static FOOT = 'foot'
  static YARD = 'yard'
  static INCH = 'inch'

  constructor(val, uint) {
    this.value = val
    this.unit = uint
  }

  getVal() {
    return this.value
  }  

  getUint() {
    return this.unit
  }
  parseTo(unitNode) {
    let unitLength = this
    if (this.unit === Length.YARD ) {
      if (unitNode === Length.FOOT) {
        unitLength = new Length(this.value * 3, unitNode)
      } else if (unitNode === Length.INCH) {
        unitLength = new Length(this.value * 36, unitNode)
      }
    }

    if (this.unit === Length.INCH) {
      if (unitNode === Length.YARD) {
        unitLength = new Length(this.value / 36, unitNode)
      } else if (unitNode === Length.FOOT) {
        unitLength = new Length(this.value / 12, unitNode)
      }
    }

    if (this.unit === Length.FOOT) {
      if (unitNode === Length.YARD) {
        unitLength = new Length(this.value / 3, unitNode)
      } else if (unitNode === Length.INCH) {
        unitLength = new Length(this.value * 12, unitNode)
      }
    }

    return unitLength
  }
}
